Bug 177061 - Some package should ghost-own /etc/mtab /etc/fstab
Some package should ghost-own /etc/mtab /etc/fstab
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-05 16:15 EST by Linus Walleij
Modified: 2015-03-04 20:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-23 08:15:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linus Walleij 2006-01-05 16:15:33 EST
I don't know for sure how the files /etc/mtab and /etc/fstab 
are created, but I have a strong feeling that it should be owned as
a ghost file by some package, presumable util-linux, thus:

%ghost %{_sysconfdir}/mtab
%ghost %{_sysconfdir}/fstab

Currently it is unowned at creation time:

[root@felicia]# rpm -qf /etc/mtab
the file /etc/mtab does not belong to any package

Perhaps fstab should be owned by the "setup" package, not
sure. I could file another bug for that one.

There could be some to me unknown policy that such files could
be unowned, but never heard of it, so please enlighten me in that
case.
Comment 1 Rahul Sundaram 2006-01-05 16:30:38 EST

This discussion might be relevant here

https://www.redhat.com/archives/fedora-extras-list/2006-January/msg00183.html
Comment 2 Linus Walleij 2006-01-06 15:14:06 EST
Actually that post was what got me started. We had some discussion some
time ago which led up to this policy and during that discussion I mentioned
that there are still a few vital files in /etc that are unowned...
Comment 3 W. Michael Petullo 2006-02-17 16:37:10 EST
This is still an issue in Raw Hide as of 17 Feb 06:

> rpm -qf /etc/fstab
file /etc/fstab is not owned by any package
Comment 4 Karel Zak 2006-02-22 10:59:02 EST
The /etc/fstab and mtab file are important for more packages. It means it should
be stay there after "rpm -e util-linux". I think the setup package should be own
it (or we can ignore it -- from my point of view it's real cosmetic problem). 
Comment 5 Phil Knirsch 2006-02-23 08:15:36 EST
Sounds reasonable.

I've added those 2 files to setup with proper entries (%ghost etc) so they won't
ever get overwritten or modified during updates, erases etc.

Read ya, Phil
Comment 6 W. Michael Petullo 2006-06-25 12:45:47 EDT
Confirmed fixed.
Comment 7 Linus Walleij 2006-06-25 15:53:17 EDT
Thanks guys.

Note You need to log in before you can comment on or make changes to this bug.